/*
 * Raima Database Manager
 *
 * Copyright (c) 2012 Raima Inc.,  All rights reserved.
 *
 * EXAMPLE - perf08
 *
 * This is the DDL (Database Definition Language) for a simple Bill of 
 * Materials database.  This version uses relation style idexes for 
 * relationships instead of sets.
 */

database perf08_db {
    data file "perf08_db.d01" contains ritem;
    data file "perf08_db.d02" contains rbill;
    key file  "perf08_db.k01" contains rid_code;
    key file  "perf08_db.k02" contains rbom;

    record ritem {
        unique key char rid_code[16];
        char    rdescription[58];
        double  rcost;
        int32_t rcomponent_count;
    }
    record rbill {
        char    rparent[16];
        char    rcomponent[16];
        int32_t rsequence;
        double  rquantity;
        int32_t rlevel;

        compound key rbom {
            rparent;
            rsequence;
        }
    }
}
